Bug 1626114 - Header logo is not branded in upstream nightly + foreman_theme_satellite
Summary: Header logo is not branded in upstream nightly + foreman_theme_satellite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Branding
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-06 15:27 UTC by Tom McKay
Modified: 2019-11-05 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:03 UTC

Description Tom McKay 2018-09-06 15:27:16 UTC
Including foreman_theme_satellite plugin in upstream nightly does not include the header_logo.svg in the branding.

Possibly similar to the below issue for reference: https://bugzilla.redhat.com/show_bug.cgi?id=1609326

Comment 2 Shimon Shtein 2018-09-17 05:33:32 UTC
From the top of my head, I know that assets replacement mechanism is sensitive to rails' hashing. I think the bug can be presented when rails requests hashed version of the asset, but the theme contained unhashed one, or a version of the logo with a different hash.

Comment 4 Radovan Drazny 2018-12-17 08:49:43 UTC
$ rpm -q tfm-rubygem-foreman_theme_satellite
tfm-rubygem-foreman_theme_satellite-3.0.1.4-1.el7sat.noarch

$ rpm -ql tfm-rubygem-foreman_theme_satellite | grep header_logo
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_theme_satellite-3.0.1.4/app/assets/images/header_logo.svg
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_theme_satellite-3.0.1.4/public/assets/header_logo-2886bb17e3470e5089846b414cb2a461dde54a0ff3a3d1a957ee895a1bcadb86.svg
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_theme_satellite-3.0.1.4/public/assets/header_logo-2886bb17e3470e5089846b414cb2a461dde54a0ff3a3d1a957ee895a1bcadb86.svg.gz

The header_logo.svg is correctly displayed in the WebUI. 

There are still similar warnings in the production.log: 

2018-12-17T03:30:06 [W|app|] Plugin foreman_theme_satellite has assets outside of its namespace, these will be ignored: Redhat-logo.svg, favicon.ico, header_logo.svg, login_bg.jpg, login_logo.svg, theme-navbar.png, theme_client_side_branding.js.erb, theme_dashboard.js, satellite/application_colors.css, satellite/bastion.scss, satellite/bundle_colors.css, satellite/login.scss, satellite/patternfly_and_overrides.scss, satellite/topbar.scss, satellite/wizard.scss, theme.scss

I suppose this issue is tracked in the BZ1609326.

Comment 7 errata-xmlrpc 2019-05-14 12:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.